{% extends 'base.html' %}
{% load static %}
{% block css %}
<link rel="stylesheet" type="text/css" href="{% static 'css/forum_detail.css' %}">
{% endblock css %}
{% block title %}
Forum
{% endblock title %}
{% block content %}
<section id="forum-section" style="margin-top: 20px">
    {% for message in messages %}
    <div class="alert hidden" id="{{message.tags}}" value="{{message}}" role="alert">{{message}}</div>
    {% endfor %}
    <div class="forum-section-heading">
        <!-- MODAL -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Konfirmasi</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <p>Apakah anda yakin ingin menghapus topik ini dari forum?</p>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Batalkan</button>
                        <button type="button" class="btn btn-primary" onclick="del()">Hapus</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- HEADING -->
        <span>Forum</span>
        <h1>{{ film.judul_film }}</h1>
    </div>
    <a type="button" class="button" value={{film.id}} onclick="addTopic(this)"  user-data={{request.user}}>
        <span class="button__text">Add New Topic</span>
        <span class="button__icon">
            <i class="fas fa-plus"></i>
        </span>
    </a>
    <!-- BOX FORUM CONTAINER -->
    <div class="forum-box-container">
        <!-- BOX -->
        {% for forum in forums %}
        <div class="forum-box">
            <!-- TOP -->
            <div class="box-top">
                <!-- TOPIC -->
                <div class="topic">
                    <div class="topic-link">
                        <a href="{% url 'forum:view-replies' id=film.id idForum=forum.id %}"><strong>{{ forum.topik }}</strong></a>
                    </div>
                </div>
                <!-- USERNAME -->
                <div id="profile">
                    <div id="user-name">
                        <span><em>started by: {{ forum.user.username }}</em></span>
                    </div>
                    <div id="tanggal">
                        <span><em>posted on: {{ forum.tanggal }}</em></span>
                    </div>
                </div>
            </div>
            <hr>
            <!-- ISI -->
            <div class="description">
                <p>{{ forum.isi }}</p>
            </div>
            {% if request.user.is_authenticated and request.user == forum.user %}
            <div class="button-del">
                <a data-bs-toggle="modal" id="del-btn" data-bs-target="#exampleModal" href="{% url 'forum:del-forum' id=forum.id %}">Hapus</a>
            </div>
            {% endif %}
        </div>
        {% endfor %}
    </div>
</section>
{% endblock content %}
{% block script %}
<script type="text/javascript">
function del() {
    let btn = document.getElementById("del-btn")

    window.location.href = btn.getAttribute("href")
}


function addTopic(e){
    let id = e.getAttribute("value");
    if(e.getAttribute("user-data") == "AnonymousUser"){
        alertUser()
    }
    else{
        window.location.href = "/add-new-topic-forum/" + id;
    }
}

function alertUser() {
    setTimeout(function() {
        $.bootstrapGrowl("Please Log In", {
            type: "danger",
            align: 'center',
            width: 'auto',
            allow_dismiss: false
        })
    }, 50)

}
</script>
{% endblock script %}